# US - User {Switcher,Shell}

Opens a shell as a different user without needing to authenticate as that user.
This is similar to the behavior of `su` but it allows to execute privileged
and/or commands as any other user without needing their password.
It doesn't use PAM, instead relies on shadow files and the passwd database
to check if the given password is correct. Support for different methods of
authentication is planned.

## Installing

To install use `make install` and to uninstall use `make uninstall`, all 
other documentation is provided as man pages, `man us` will give general
information about the utility and how to use it and `man us.conf` contains
info about the config file format.

## Supported platforms

All platforms that store the encrypted password in `/etc/passwd` should be
supported, which to this day are none. Linux is supported through `shadow(3)`
and OpenBSD through its API. Support for more systems is planned.
This program is libc-agnostic as (apart from authentication) it is POSIX
compliant code.
